org.apache.cxf.databinding.source

## Class SourceDataBinding

- java.lang.Object
- - org.apache.cxf.databinding.AbstractDataBinding
  - - org.apache.cxf.databinding.source.SourceDataBinding

- All Implemented Interfaces:
    DataBinding

      public class SourceDataBinding
      extends AbstractDataBinding

  A simple databinding implementation which reads and writes Source objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFERRED_FORMAT`

    - ### Fields inherited from class org.apache.cxf.databinding.AbstractDataBinding

      `mtomEnabled, mtomThreshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceDataBinding()`
    `SourceDataBinding(Class<?> pref)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> DataReader<T>` | `createReader(Class<T> cls)`
    `<T> DataWriter<T>` | `createWriter(Class<T> cls)`
    `Class<?>[]` | `getSupportedReaderFormats()`
    `Class<?>[]` | `getSupportedWriterFormats()`
    `void` | `initialize(Service service)` Initialize the service info (i.e.

    - ### Methods inherited from class org.apache.cxf.databinding.AbstractDataBinding

      `addSchemaDocument, addSchemaDocument, checkNamespaceMap, getBus, getContextualNamespaceMap, getDeclaredNamespaceMappings, getMtomThreshold, getNamespaceMap, getSchemas, isMtomEnabled, setBus, setContextualNamespaceMap, setMtomEnabled, setMtomThreshold, setNamespaceMap, setSchemas, updateSchemaLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFERRED_FORMAT

          public static final String PREFERRED_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SourceDataBinding

          public SourceDataBinding()

    - #### SourceDataBinding

          public SourceDataBinding(Class<?> pref)

  - ### Method Detail

    - #### initialize

          public void initialize(Service service)

      Description copied from interface: `DataBinding`
      Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.

    - #### createReader

          public <T> DataReader<T> createReader(Class<T> cls)

    - #### getSupportedReaderFormats

          public Class<?>[] getSupportedReaderFormats()

    - #### createWriter

          public <T> DataWriter<T> createWriter(Class<T> cls)

    - #### getSupportedWriterFormats

          public Class<?>[] getSupportedWriterFormats()

Apache CXF